{ lib, config, ... }:
{
  options.system.extlinux = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Enable Lanzaboote and force disable Systemd-boot";
    };
  };

  config = lib.mkIf config.system.extlinux.enable {
    boot.loader = {
      generic-extlinux-compatible.enable = true;
      systemd-boot.enable = lib.mkForce false;
      grub.enable = lib.mkForce false;
    };
  };
}
